Subject: RE: MPC8641D PEX: programming OWBAR in Endpoint mode?

From: David Hagood <[email-masked]>
Date: Fri, 24 Sep 2010 05:50:25 -0500

On Fri, 2010-09-24 at 07:09 +0200, Chen, Tiejun wrote:

> 
> Right but this should be done for RC mode, not for EP mode we're
> discussing.
> 
> Tiejun

According to the Freescale documentation, outbound is just as valid for
endpoint as for root complex - indeed, to generate MSIs from software
REQUIRES programming an outbound ATMU to access the host's APIC.

Moreover, ANY PCI endpoint SHOULD be able to do bus master access, and
that is done by the outbound ATMUs.